Subject: bug#50880: Add "Contributing to Emacs" help command (see C-h C-h)

From: Gregory Heytings <[email-masked]>
Date: Thu, 30 Sep 2021 07:49:22 +0000

>> We could pick any key, like "b" for "contriButing".  Or, you know, "h" 
>> for "Happens to be free".  ;-)
>
> So how about the attached?
>

What was wrong with

C-h g -> About the GNU project
C-h G -> Emacs copying permission (GNU General Public License)
C-h C-c -> Contributing

?

Also, I would put "Contributing to Emacs" in the first subsection of 
"Miscellaneous", after "Debugging Emacs", where it belongs.  Which by the 
way makes me wonder why Emacs TODO is not there, too.  It would perhaps be 
even better to create a third subsection with

C-p Known problems
C-d Debugging Emacs
?   Contributing to Emacs
C-t Emacs TODO

>
> I put it on `C-h C-x' because I figured that we might want to use "b" 
> for "bugs" in the future perhaps, and "u" just wasn't that nice.  Most 
> of the other ones are taken except for "i", "q", "r", "y" and "z".
>

Actually there are quite a few more keys that are still free under C-h:

C-h {j,u,y,z}
C-h {A,B,D,E,G,H,J,M,N,O,Q,T,U,V,W,X,Y,Z}
C-h C-{b,i,j,k,l,q,r,u,v,x,z} [and C-g which should not be bound]